Bug 1002185 - Mondrian.war missing many jar dependencies in EAP6
Mondrian.war missing many jar dependencies in EAP6
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Deployment (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Van Halbert
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 11:04 EDT by wgibson
Modified: 2014-06-18 04:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 16:20:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wgibson 2013-08-28 11:04:35 EDT
Mondrian.war file is missing several dependency jar files with EAP6.  See list below.  Ken Johnson and Robb Greathouse are working with JasperSoft to get a resolution as JasperSoft tests Mondrian.war in EAP6.    


15:35:31,193 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry xercesImpl-2.2.1.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/fop.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,197 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry xml-apis.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/fop.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,201 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry xalan-2.4.1.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/fop.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,201 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry jimi-1.0.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/fop.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,202 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry xercesImpl.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/xalan.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,203 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry xml-apis.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/xalan.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,204 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_cs.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,204 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_de_DE.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,205 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_es.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,205 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_fr.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,206 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_hu.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,206 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_it.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,207 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_ja_JP.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,207 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_ko_KR.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,209 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_pl.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,210 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_pt_BR.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,210 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_ru.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,214 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_zh_CN.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,214 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry derbyLocale_zh_TW.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/derby.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,224 WARN  [org.jboss.as.server.deployment] (MSC service thread 1-7)  JBAS015960: Class Path entry lib/jcommon-1.0.0.jar in /home/wgibson/apps/EAP6.1Alpha-Teiid8.4.Alpha-LATEST/PASS-FOUR/jboss-eap-6.1/standalone/deployments/mondrian.war/WEB-INF/lib/jfreechart-1.0.0.jar  does not point to a valid jar for a Class-Path reference.
15:35:31,258 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-5)  MSC00001: Failed to start service jboss.deployment.unit."mondrian.war".PARSE: org.jboss.msc.service.StartException in service jboss.deployment.unit."mondrian.war".PARSE: JBAS018733: Failed to process phase PARSE of deployment "mondrian.war"

Note You need to log in before you can comment on or make changes to this bug.